package com.sunxung.factoring.entity.financing.review;

import com.alibaba.fastjson.annotation.JSONField;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description : 额度支用-收支计划
 * @Author : L.Jia
 * @Date: 2023-12-12 21:13
 */
public class ReviewIncomeExpenditurePlanHis extends BaseEntity {

    /** 对应额度支用信息历史Id **/
    private Long reviewQuotaDisburseHisId;
    /** 收支日期 **/
    @JSONField(format = "yyyy-MM-dd")
    private Date incomeExpenditureDate;
    /** 收支类型，见字典项 IncomeExpenditureTypeDict **/
    private Dictionary incomeExpenditureType;
    /** 收款 **/
    private BigDecimal receivables;
    /** 放款 **/
    private BigDecimal loan;
    /** 最终现金流 **/
    private BigDecimal finalCashFlow;
    /** 收款主体:债权人creditor、债务人debtor **/
    private String receivingSubject;
    /** 序号 **/
    private Integer recordNo;
    /** 币种 **/
    private String currencyCode;

    public Date getIncomeExpenditureDate() {
        return incomeExpenditureDate;
    }

    public void setIncomeExpenditureDate(Date incomeExpenditureDate) {
        this.incomeExpenditureDate = incomeExpenditureDate;
    }

    public Dictionary getIncomeExpenditureType() {
        return incomeExpenditureType;
    }

    public void setIncomeExpenditureType(Dictionary incomeExpenditureType) {
        this.incomeExpenditureType = incomeExpenditureType;
    }

    public BigDecimal getReceivables() {
        return receivables;
    }

    public void setReceivables(BigDecimal receivables) {
        this.receivables = receivables;
    }

    public BigDecimal getLoan() {
        return loan;
    }

    public void setLoan(BigDecimal loan) {
        this.loan = loan;
    }

    public BigDecimal getFinalCashFlow() {
        return finalCashFlow;
    }

    public void setFinalCashFlow(BigDecimal finalCashFlow) {
        this.finalCashFlow = finalCashFlow;
    }

    public String getReceivingSubject() {
        return receivingSubject;
    }

    public void setReceivingSubject(String receivingSubject) {
        this.receivingSubject = receivingSubject;
    }

    public Integer getRecordNo() {
        return recordNo;
    }

    public void setRecordNo(Integer recordNo) {
        this.recordNo = recordNo;
    }

    public String getCurrencyCode() {
        return currencyCode;
    }

    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    public Long getReviewQuotaDisburseHisId() {
        return reviewQuotaDisburseHisId;
    }

    public void setReviewQuotaDisburseHisId(Long reviewQuotaDisburseHisId) {
        this.reviewQuotaDisburseHisId = reviewQuotaDisburseHisId;
    }
}
